import { PageService } from "./page.service";
export declare class PageController {
    private readonly pageService;
    constructor(pageService: PageService);
    findActive(lang: "en"): Promise<{
        status: boolean;
        message: string;
        data: import("../../common/page/page.entity").Page[];
    }>;
    findOne(id: string, lang: "en"): Promise<{
        status: boolean;
        message: string;
        data: import("../../common/page/page.entity").Page;
    }>;
}
